Subject: bug#47545: closed (Re: bug#47545: Guix bug on guix pull)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 23 Apr 2021 21:47:02 +0000

Your bug report

#47545: Guix bug on guix pull

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47545: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47545
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47545: Guix bug on guix pull
From: Ludovic Courtès <[email-masked]>
To: Zelphir Kaltstahl <[email-masked]>
Cc: [email-masked], Maxime Devos <[email-masked]>
Date: Fri, 23 Apr 2021 23:45:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Zelphir Kaltstahl <[email-masked]> skribis:

> I think I already sent you an e-mail (2021-04-21, 11:51PM UTC+2 I believe).
> However, I just realized, that I did not mention in it, that I restarted the daemon.
>
> So I will add: After restarting the daemon no more problems occurred. Everything
> seems fine now.

Awesome.  I’m closing this bug, but do let us know if it shows up again.

Thanks!

Ludo’.

Subject: Guix bug on guix pull
From: Zelphir Kaltstahl <[email-masked]>
To: [email-masked]
Date: Thu, 1 Apr 2021 12:09:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix Team!

It seems my Guix has a bug and it asked me to report it to you:

~~~~~~~~
$ guix pull
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
Authenticating channel 'guix', commits 9edb3f6 to a266c9f (633 new commits)...
Building from this channel:
  guix      https://git.savannah.gnu.org/git/guix.git	a266c9f
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
building /gnu/store/49vr6qfnjjwl3vk1cv91hzpxqm34j3xk-module-import.drv...
downloading from https://ci.guix.gnu.org/nar/zstd/zbwmal8kn6azc712ipwci8z2px19bfjn-module-import ...
 module-import  2KiB                                                                                                                                                      91KiB/s 00:00 [##################] 100.0%

downloading from https://ci.guix.gnu.org/nar/lzip/yg3ddx822nm7422a2v2yi0w5chhv41by-module-import-compiled ...
 module-import-compiled  1.5MiB                                                                                                                                          4.1MiB/s 00:00 [##################] 100.0%

downloading from https://ci.guix.gnu.org/nar/lzip/9v4hg0g74bw7kn77r0ng9irfzxsgc07j-module-import-compiled ...
 module-import-compiled                                                                                                                                                         5.2MiB/s 00:00 | 1.9MiB transferred

building /gnu/store/jh38gf6fadq94rk9039jzc12anf75n5r-compute-guix-derivation.drv...
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
@ substituter-started /gnu/store/531rwkb8m6yccq4l1mkrqxclrqwy0jj3-git-minimal-2.31.1 substitute
@ download-started /gnu/store/531rwkb8m6yccq4l1mkrqxclrqwy0jj3-git-minimal-2.31.1 https://ci.guix.gnu.org/nar/lzip/531rwkb8m6yccq4l1mkrqxclrqwy0jj3-git-minimal-2.31.1 4325662
@ download-progress /gnu/store/531rwkb8m6yccq4l1mkrqxclrqwy0jj3-git-minimal-2.31.1 https://ci.guix.gnu.org/nar/lzip/531rwkb8m6yccq4l1mkrqxclrqwy0jj3-git-minimal-2.31.1 4325662 65546
-@ download-progress /gnu/store/531rwkb8m6yccq4l1mkrqxclrqwy0jj3-git-minimal-2.31.1 https://ci.guix.gnu.org/nar/lzip/531rwkb8m6yccq4l1mkrqxclrqwy0jj3-git-minimal-2.31.1 4325662 983072
@ download-progress /gnu/store/531rwkb8m6yccq4l1mkrqxclrqwy0jj3-git-minimal-2.31.1 https://ci.guix.gnu.org/nar/lzip/531rwkb8m6yccq4l1mkrqxclrqwy0jj3-git-minimal-2.31.1 4325662 1769519
@ download-progress /gnu/store/531rwkb8m6yccq4l1mkrqxclrqwy0jj3-git-minimal-2.31.1 https://ci.guix.gnu.org/nar/lzip/531rwkb8m6yccq4l1mkrqxclrqwy0jj3-git-minimal-2.31.1 4325662 2883652
@ download-progress /gnu/store/531rwkb8m6yccq4l1mkrqxclrqwy0jj3-git-minimal-2.31.1 https://ci.guix.gnu.org/nar/lzip/531rwkb8m6yccq4l1mkrqxclrqwy0jj3-git-minimal-2.31.1 4325662 3801177
@ download-progress /gnu/store/531rwkb8m6yccq4l1mkrqxclrqwy0jj3-git-minimal-2.31.1 https://ci.guix.gnu.org/nar/lzip/531rwkb8m6yccq4l1mkrqxclrqwy0jj3-git-minimal-2.31.1 4325662 4325662
@ download-succeeded /gnu/store/531rwkb8m6yccq4l1mkrqxclrqwy0jj3-git-minimal-2.31.1 https://ci.guix.gnu.org/nar/lzip/531rwkb8m6yccq4l1mkrqxclrqwy0jj3-git-minimal-2.31.1 4325662

@ substituter-succeeded /gnu/store/531rwkb8m6yccq4l1mkrqxclrqwy0jj3-git-minimal-2.31.1
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
@ substituter-started /gnu/store/7jsb7vff5494nd39mqj0ins5i992dm6i-guix-daemon-1.2.0-19.8f9052d substitute
@ download-started /gnu/store/7jsb7vff5494nd39mqj0ins5i992dm6i-guix-daemon-1.2.0-19.8f9052d https://ci.guix.gnu.org/nar/lzip/7jsb7vff5494nd39mqj0ins5i992dm6i-guix-daemon-1.2.0-19.8f9052d -
@ download-progress /gnu/store/7jsb7vff5494nd39mqj0ins5i992dm6i-guix-daemon-1.2.0-19.8f9052d https://ci.guix.gnu.org/nar/lzip/7jsb7vff5494nd39mqj0ins5i992dm6i-guix-daemon-1.2.0-19.8f9052d - 65546
@ download-progress /gnu/store/7jsb7vff5494nd39mqj0ins5i992dm6i-guix-daemon-1.2.0-19.8f9052d https://ci.guix.gnu.org/nar/lzip/7jsb7vff5494nd39mqj0ins5i992dm6i-guix-daemon-1.2.0-19.8f9052d - 290921
@ download-succeeded /gnu/store/7jsb7vff5494nd39mqj0ins5i992dm6i-guix-daemon-1.2.0-19.8f9052d https://ci.guix.gnu.org/nar/lzip/7jsb7vff5494nd39mqj0ins5i992dm6i-guix-daemon-1.2.0-19.8f9052d 290921

@ substituter-succeeded /gnu/store/7jsb7vff5494nd39mqj0ins5i992dm6i-guix-daemon-1.2.0-19.8f9052d
@ substituter-started /gnu/store/7yb63ccdrskjv06l938f7iv88h4cav41-zziplib-0.13.72 substitute
Backtrace:
In guix/ui.scm:
  2164:12 19 (run-guix-command _ . _)
In guix/scripts/substitute.scm:
    652:2 18 (guix-substitute . _)
In unknown file:
          17 (with-continuation-barrier #<procedure thunk ()>)
In ice-9/boot-9.scm:
  1736:10 16 (with-exception-handler _ _ #:unwind? _ # _)
In unknown file:
          15 (apply-smob/0 #<thunk 7fbe963c78e0>)
In ice-9/boot-9.scm:
  1736:10 14 (with-exception-handler _ _ #:unwind? _ # _)
  1736:10 13 (with-exception-handler _ _ #:unwind? _ # _)
  1731:15 12 (with-exception-handler #<procedure 7fbe95880810 at ic?> ?)
In guix/scripts/substitute.scm:
   701:17 11 (_)
    410:7 10 (process-substitution _ "/gnu/store/7yb63ccdrskjv06l93?" ?)
In ice-9/boot-9.scm:
  1736:10  9 (with-exception-handler _ _ #:unwind? _ # _)
In guix/scripts/substitute.scm:
    419:9  8 (_)
In ice-9/boot-9.scm:
  1731:15  7 (with-exception-handler #<procedure 7fbe94bd6bd0 at ic?> ?)
  1669:16  6 (raise-exception _ #:continuable? _)
  1667:16  5 (raise-exception _ #:continuable? _)
  1669:16  4 (raise-exception _ #:continuable? _)
  1764:13  3 (_ #<&compound-exception components: (#<&error> #<&irri?>)
  1669:16  2 (raise-exception _ #:continuable? _)
  1667:16  1 (raise-exception _ #:continuable? _)
  1669:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1669:16: In procedure raise-exception:
Throw to key `bad-response' with args `("Bad Response-Line: ~s" (""))'.
Backtrace:
           1 (primitive-load "/gnu/store/zjr3hc76wbfcxvfsb238pn6wfgf?")
In guix/ui.scm:
  2164:12  0 (run-guix-command _ . _)

guix/ui.scm:2164:12: In procedure run-guix-command:
Throw to key `bad-response' with args `("Bad Response-Line: ~s" (""))'.
@ substituter-failed /gnu/store/7yb63ccdrskjv06l938f7iv88h4cav41-zziplib-0.13.72  fetching path `/gnu/store/7yb63ccdrskjv06l938f7iv88h4cav41-zziplib-0.13.72' (empty status: '')
Backtrace:
          12 (primitive-load "/gnu/store/bg6vs7ahglli408xaifp8rss68ss3qqc-compute-guix-derivation")
In ice-9/eval.scm:
    155:9 11 (_ _)
    159:9 10 (_ #(#(#(#(#(#(#(#(#(#(#(#(#(#<directory (guile-user) 7f91758a5f?> ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?))
In ice-9/boot-9.scm:
    152:2  9 (with-fluid* _ _ _)
In ./guix/store.scm:
  2066:24  8 (run-with-store #<store-connection 256.99 7f9173c21eb0> _ #:guile-for-build _ #:system _ #:target _)
   1900:8  7 (_ _)
In ./guix/gexp.scm:
   256:18  6 (_ _)
   1137:2  5 (_ _)
   1003:2  4 (_ _)
    849:4  3 (_ _)
In ./guix/store.scm:
  1948:12  2 (_ #<store-connection 256.99 7f9173c21eb0>)
   1362:5  1 (map/accumulate-builds #<store-connection 256.99 7f9173c21eb0> _ _)
  1373:15  0 (_ #<store-connection 256.99 7f9173c21eb0> _ _)

./guix/store.scm:1373:15: ERROR:
  1. &store-protocol-error:
      message: "some substitutes for the outputs of derivation `/gnu/store/hnsk4qjsidn7xk6qb42sgy0ak2gbxbnb-zziplib-0.13.72.drv' failed (usually happens due to networking issues); try `--fallback' to build derivation from source "
      status: 1
guix pull: error: You found a bug: the program '/gnu/store/bg6vs7ahglli408xaifp8rss68ss3qqc-compute-guix-derivation'
failed to compute the derivation for Guix (version: "a266c9fab88954b7c0fc0516e0a4c9834819dbc5"; system: "x86_64-linux";
host version: "266d55dc3080475544bf45e72359c9b9bbcecd53"; pull-version: 1).
Please report it by email to <[email-masked]>
~~~~~~~~

This has been happening for at least a few days on every `guix pull` invokation.

Do I need to reinstall Guix?

Best regards,
Zelphir

-- 
repositories: https://notabug.org/ZelphirKaltstahl